// JavaScript Document
$.validator.setDefaults({
		submitHandler: function() {
			alert("Do you want to submit the form!");
		}
	});

	$().ready(function() {
		// validate the comment form when it is submitted
		$("#login").validate();

		// validate signup form on keyup and submit
		$("#signupForm").validate({
			rules: {
				fullName: "required",
				userName: {
					required: true,
					minlength: 2
				},
				password: {
					required: true,
					minlength: 5
				},
				cpassword: {
					required: true,
					minlength: 5,
					equalTo: "#password"
				},
				email: {
					required: true,
					email: true
				},
				mobile: "required",
				agree: "required"
			},
			messages: {
				fullName: "Please enter your full name",
				userName: {
					required: "Please enter a username",
					minlength: "Your username must consist of at least 2 characters"
				},
				password: {
					required: "Please provide a password",
					minlength: "Your password must be at least 5 characters long"
				},
				cpassword: {
					required: "Please provide a password",
					minlength: "Your password must be at least 5 characters long",
					equalTo: "Please enter the same password as above"
				},
				email: "Please enter a valid email address",
				mobile: "Please enter a valid mobile number",
				agree: "Please accept our policy"
			}
		});

		// propose username by combining first- and lastname
		$("#userName").focus(function() {
			var fullName = $("#fullName").val();
			if (fullName && !this.value) {
				this.value = fullName;
			}
		});

	});